Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# WoopsiUI::GadgetEventHandler Class Reference

`#include <gadgeteventhandler.h>`

Inheritance diagram for WoopsiUI::GadgetEventHandler:

List of all members.

## Public Member Functions
| GadgetEventHandler ()
virtual | ~GadgetEventHandler ()
virtual void | handleClickEvent (const GadgetEventArgs &e)
virtual void | handleDragEvent (const GadgetEventArgs &e)
virtual void | handleDropEvent (const GadgetEventArgs &e)
virtual void | handleReleaseEvent (const GadgetEventArgs &e)
virtual void | handleReleaseOutsideEvent (const GadgetEventArgs &e)
virtual void | handleKeyPressEvent (const GadgetEventArgs &e)
virtual void | handleKeyRepeatEvent (const GadgetEventArgs &e)
virtual void | handleKeyReleaseEvent (const GadgetEventArgs &e)
virtual void | handleLidOpenEvent (const GadgetEventArgs &e)
virtual void | handleLidCloseEvent (const GadgetEventArgs &e)
virtual void | handleFocusEvent (const GadgetEventArgs &e)
virtual void | handleBlurEvent (const GadgetEventArgs &e)
virtual void | handleCloseEvent (const GadgetEventArgs &e)
virtual void | handleHideEvent (const GadgetEventArgs &e)
virtual void | handleShowEvent (const GadgetEventArgs &e)
virtual void | handleEnableEvent (const GadgetEventArgs &e)
virtual void | handleDisableEvent (const GadgetEventArgs &e)
virtual void | handleValueChangeEvent (const GadgetEventArgs &e)
virtual void | handleResizeEvent (const GadgetEventArgs &e)
virtual void | handleMoveEvent (const GadgetEventArgs &e)
virtual void | handleScrollEvent (const GadgetEventArgs &e)
virtual void | handleShiftClickEvent (const GadgetEventArgs &e)
virtual void | handleContextMenuSelectionEvent (const ContextMenuEventArgs &e)
virtual void | handleDoubleClickEvent (const GadgetEventArgs &e)
virtual void | handleShelveEvent (const GadgetEventArgs &e)
virtual void | handleUnshelveEvent (const GadgetEventArgs &e)
virtual void | handleActionEvent (const GadgetEventArgs &e)
virtual void | handleMoveForwardEvent (const GadgetEventArgs &e)
virtual void | handleMoveBackwardEvent (const GadgetEventArgs &e)

## Detailed Description

Base GadgetEventHandler class, intended to be subclassed. Any class that needs to listen for gadget events should inherit from this class.

## Constructor & Destructor Documentation

WoopsiUI::GadgetEventHandler::GadgetEventHandler | ( |  | ) | `[inline]`

Constructor.

virtual WoopsiUI::GadgetEventHandler::~GadgetEventHandler | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual void WoopsiUI::GadgetEventHandler::handleActionEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget action event.

Parameters:

  e | The event data.

Reimplemented in WoopsiUI::AnimButton, WoopsiUI::FileRequester, WoopsiUI::ScrollbarHorizontal, WoopsiUI::ScrollbarVertical, WoopsiUI::ScrollingListBox, and WoopsiUI::WoopsiKeyboard.

virtual void WoopsiUI::GadgetEventHandler::handleBlurEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget blur event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleClickEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a stylus click event.

Parameters:

  e | The event data.

Reimplemented in WoopsiUI::RadioButtonGroup, WoopsiUI::ScrollbarHorizontal, WoopsiUI::ScrollbarVertical, WoopsiUI::ScrollingListBox, and WoopsiUI::WoopsiKeyboard.

virtual void WoopsiUI::GadgetEventHandler::handleCloseEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget close event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleContextMenuSelectionEvent | ( | const ContextMenuEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget context menu selection event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleDisableEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget disable event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleDoubleClickEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget double-click event.

Parameters:

  e | The event data.

Reimplemented in WoopsiUI::FileListBox, WoopsiUI::RadioButtonGroup, WoopsiUI::Requester, and WoopsiUI::ScrollingListBox.

virtual void WoopsiUI::GadgetEventHandler::handleDragEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a stylus drag event.

Parameters:

  e | The event data.

Reimplemented in WoopsiUI::SliderHorizontal, and WoopsiUI::SliderVertical.

virtual void WoopsiUI::GadgetEventHandler::handleDropEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a drop event, triggered when the gadget has been dragged-and-dropped.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleEnableEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget enable event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleFocusEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget focus event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleHideEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget hide event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleKeyPressEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a key press event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleKeyReleaseEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a key release event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleKeyRepeatEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a key repeat event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleLidCloseEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a DS lid close event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleLidOpenEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a DS lid open event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleMoveBackwardEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget move backward event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleMoveEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget move event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleMoveForwardEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget move forward event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleReleaseEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a stylus release event that occurred within the bounds of the source gadget.

Parameters:

  e | The event data.

Reimplemented in WoopsiUI::Alert, WoopsiUI::AmigaScreen, WoopsiUI::AmigaWindow, WoopsiUI::Calendar, WoopsiUI::ColourPicker, WoopsiUI::ContextMenu, WoopsiUI::FileRequester, WoopsiUI::RadioButtonGroup, WoopsiUI::Requester, WoopsiUI::ScrollbarHorizontal, WoopsiUI::ScrollbarVertical, WoopsiUI::ScrollingListBox, WoopsiUI::WoopsiKeyboard, and WoopsiUI::WoopsiKeyboardScreen.

virtual void WoopsiUI::GadgetEventHandler::handleReleaseOutsideEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a stylus release event that occurred outside the bounds of the source gadget.

Parameters:

  e | The event data.

Reimplemented in WoopsiUI::ContextMenu, WoopsiUI::RadioButtonGroup, WoopsiUI::ScrollbarHorizontal, WoopsiUI::ScrollbarVertical, WoopsiUI::ScrollingListBox, and WoopsiUI::WoopsiKeyboard.

virtual void WoopsiUI::GadgetEventHandler::handleResizeEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget resize event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleScrollEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget scroll event.

Parameters:

  e | The event data.

Reimplemented in WoopsiUI::ScrollingListBox, and WoopsiUI::ScrollingTextBox.

virtual void WoopsiUI::GadgetEventHandler::handleShelveEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget shelve event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleShiftClickEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget shift click event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleShowEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget show event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleUnshelveEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget unshelve event.

Parameters:

  e | The event data.

virtual void WoopsiUI::GadgetEventHandler::handleValueChangeEvent | ( | const GadgetEventArgs & | e | ) | `[inline, virtual]`

Handle a gadget value change event.

Parameters:

  e | The event data.

Reimplemented in WoopsiUI::ColourPicker, WoopsiUI::FileListBox, WoopsiUI::FileRequester, WoopsiUI::ScrollbarHorizontal, WoopsiUI::ScrollbarVertical, WoopsiUI::ScrollingListBox, and WoopsiUI::ScrollingTextBox.

The documentation for this class was generated from the following file:

- gadgeteventhandler.h